Cupti: CUpti_ActivityMemcpy Struct Reference

# CUpti_ActivityMemcpy Struct Reference
[CUPTI Activity API]

The activity record for memory copies. (deprecated). More...

## Data Fields
uint64_t | bytes
uint32_t | contextId
uint8_t | copyKind
uint32_t | correlationId
uint32_t | deviceId
uint8_t | dstKind
uint64_t | end
uint8_t | flags
CUpti_ActivityKind | kind
void * | reserved0
uint32_t | runtimeCorrelationId
uint8_t | srcKind
uint64_t | start
uint32_t | streamId

## Detailed Description

This activity record represents a memory copy (CUPTI_ACTIVITY_KIND_MEMCPY).

## Field Documentation

uint64_t CUpti_ActivityMemcpy::bytes

The number of bytes transferred by the memory copy.

uint32_t CUpti_ActivityMemcpy::contextId

The ID of the context where the memory copy is occurring.

uint8_t CUpti_ActivityMemcpy::copyKind

The kind of the memory copy, stored as a byte to reduce record size.

See also:
  CUpti_ActivityMemcpyKind

uint32_t CUpti_ActivityMemcpy::correlationId

The correlation ID of the memory copy. Each memory copy is assigned a unique correlation ID that is identical to the correlation ID in the driver API activity record that launched the memory copy.

uint32_t CUpti_ActivityMemcpy::deviceId

The ID of the device where the memory copy is occurring.

uint8_t CUpti_ActivityMemcpy::dstKind

The destination memory kind read by the memory copy, stored as a byte to reduce record size.

See also:
  CUpti_ActivityMemoryKind

uint64_t CUpti_ActivityMemcpy::end

The end timestamp for the memory copy, in ns. A value of 0 for both the start and end timestamps indicates that timestamp information could not be collected for the memory copy.

uint8_t CUpti_ActivityMemcpy::flags

The flags associated with the memory copy.

See also:
  CUpti_ActivityFlag

CUpti_ActivityKind CUpti_ActivityMemcpy::kind

The activity record kind, must be CUPTI_ACTIVITY_KIND_MEMCPY.

void* CUpti_ActivityMemcpy::reserved0

Undefined. Reserved for internal use.

uint32_t CUpti_ActivityMemcpy::runtimeCorrelationId

The runtime correlation ID of the memory copy. Each memory copy is assigned a unique runtime correlation ID that is identical to the correlation ID in the runtime API activity record that launched the memory copy.

uint8_t CUpti_ActivityMemcpy::srcKind

The source memory kind read by the memory copy, stored as a byte to reduce record size.

See also:
  CUpti_ActivityMemoryKind

uint64_t CUpti_ActivityMemcpy::start

The start timestamp for the memory copy, in ns. A value of 0 for both the start and end timestamps indicates that timestamp information could not be collected for the memory copy.

uint32_t CUpti_ActivityMemcpy::streamId

The ID of the stream where the memory copy is occurring.